/**
 * 
 */


package gov.va.med.cds.webservice;


import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.WebApplicationException;
import gov.va.med.cds.saml.SamlAssertionThreadLocal;


/**
 * @author vhaislegberb
 * 
 */
@Path( "/" )
public class RestClinicalDataServiceReadProxy
    extends
        AbstractRestClinicalDataServiceProxy
{

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.client.ClinicalDataServiceInterface#
     * readClinicalData(java.lang.String, java.lang.String, java.lang.String,
     * java.lang.String)
     */
    @GET
    @Path( "" )
    @Produces( "application/xml" )
    public String readClinicalData( @QueryParam( "templateId" )
    String templateId, @QueryParam( "filterRequest" )
    String filterRequest, @QueryParam( "filterId" )
    String filterId, @QueryParam( "requestId" )
    String requestId )
    {

        try
        {
            return this.clinicalDataService.readClinicalData( templateId, filterRequest, filterId, requestId );
        }
        catch ( Exception e )
        {
            throw new WebApplicationException( e );
        }
    }

}
